<section class="container-fluid animated fadeIn blog-page">
  <div class="row">
    <div class="col-lg-12">
      <h4>{{title|translate}}</h4>
      <hr>
    </div>
  </div>
  <div class="row wall">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12">
      <form [formGroup]="form" (ngSubmit)="submit(form)" novalidate>
        <div class="row">
          <!-- Blog Title -->
          <div class="col-lg-6">
            <div class="row form-group">
              <div class="col-lg-12">
                <label class="form-label-inline" for="title">
                  {{ 'blog.create.b-title' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <input id="title" class="form-control" type="text" maxlength="255" name="title" formControlName="title" autocomplete="off">
              </div>
            </div>
          </div>
          <!-- Blog Key -->
          <div class="col-lg-6">
            <div class="row form-group" [ngClass]="{'has-error':form.controls['key'].invalid && formSubmited}">
              <div class="col-lg-12">
                <label class="form-label-inline" for="key">
                  {{ 'key' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <input id="key" class="form-control" type="text" maxlength="255" name="key" required formControlName="key" autocomplete="off">
                <div class="feedback" *ngIf="form.controls['key'].hasError('required') && formSubmited">{{'feedback.required' | translate }}</div>
              </div>
            </div>
          </div>
          <!-- Content -->
          <div class="col-lg-6">
            <div class="row form-group">
              <div class="col-lg-12">
                <label class="form-label-inline" for="content">
                  {{ 'blog.create.description' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <!-- <textarea id="content" rows="8" class="form-control" type="text" name="content" maxlength="2000"
                  (input)="countingCharacters($event)" formControlName="content"></textarea> -->
                  <ckeditor editorUrl="/static/vendor/ckeditor/ckeditor.js" [formControl]="form.controls['content']"></ckeditor>
              </div>
            </div>
          </div>
          <!-- Blog Category -->
          <div class="col-lg-6">
            <div class="row form-group">
              <div class="col-lg-12">
                <label class="form-label-inline" for="sub_title">
                  {{ 'blog.create.category' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <select-input inputid="new-category" [defaults]="defaultCategory" [list]="category" itemkey="name"
                  itemvalue="id" [multi]='false' (changed)="setCategory($event)" #blogSelectInput placeholder></select-input>
              </div>
            </div>
          </div>
          <!-- image -->
          <div class="col-lg-12">
            <div class="row">
              <label class="col-lg-12 form-label-inline" for="image">{{ 'actors.list.image' | translate }} :</label>
              <div class="col-xl-12 mb">
                  <dropzone-images [defaults]="defaultImage" [multi]="false" (changed)="setImage($event, 'image')">
                  </dropzone-images>
                <div class="feedback" *ngIf="form.controls['image'].hasError('required') && formSubmited">{{'feedback.required' | translate }}</div>
              </div>
            </div>
          </div>
          <!-- is release -->
          <div class="col-md-12 col-lg-6 my-3">
            <div class="form-check pt-4">
              <label class="form-check-label">
                <input class="form-check-input" type="checkbox" name="release" formControlName="release">
                <span class="form-check-sign">
                  <span class="check"></span>
                </span>
                <label for="" class="text-white">{{ 'upload.create.release' | translate }}: </label>
              </label>
            </div>
          </div>
          <!-- buttons -->
          <div class="col-md-10 mt">
            <div class="row">
              <div class="col-md-12">
                <button class="btn-primary mx-2" type="submit" [disabled]="form.invalid && formSubmited">{{ "upload.create.publish" |translate}}</button>
                <button class="btn-outline" type="button" routerLink="/panel/blogs" [queryParams]="query.params()">{{'operation.back' | translate }}</button>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</section>